import { LitElement } from 'lit';
type Constructor<T = {}> = new (...args: any[]) => T;
export declare class PopoverTargetMixinInterface {
    /**
     * Set a popovertarget.
     * @type {string}
     * @attr
     * @default undefined
     */
    popoverContainerElement?: string;
    /**
     * Toggle the popover.
     */
    protected _togglePopover(): void;
}
/**
 * This mixin provides popover target functionality to other components.
 *
 * @param {Object} superClass - superclass to be extended.
 * @mixin
 */
export declare const PopoverTargetMixin: <T extends Constructor<LitElement>>(superClass: T) => Constructor<PopoverTargetMixinInterface> & T;
export {};
